
using Dashboard.ImmediateDraw;
using Dashboard.Layout;
using OpenTK.Mathematics;

namespace Dashboard.Controls
{
    public class GridBox : ContainerControl
    {
        protected override void ValidateLayout()
        {
            if (LastResizeEvent != null)
            {
                foreach (Control child in this)
                {
                    GridLayoutAttribute attribute = GridLayoutAttribute.GetGridLayout(child);

                    attribute.Evaluate(LastResizeEvent, child.Bounds, out Rectangle newBounds);
                    child.Bounds = newBounds;

                    child.InvalidateLayout();
                }
            }
        }

        protected override void ValidateVisual(DrawList cmd)
        {
            cmd.Rectangle(new Rectangle(Size, Vector2.Zero));
        }
    }
}